%define	upstream_name	 Catalyst-Model-DBI
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Catalyst DBI Model Class
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Catalyst) >= 5.0
BuildRequires:	perl(DBI)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-{version}-%{release}

%description
This is the DBI model class for Catalyst. It is nothing more than a
simple wrapper for DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 408939
- rebuild using %%perl_convert_version

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-3mdv2009.1
+ Revision: 314241
- update to new version 0.20

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.19-3mdv2009.0
+ Revision: 241154
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 46970
- update to new version 0.19


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 0.15-1mdv2007.0
+ Revision: 114646
- New version 0.15

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Catalyst-Model-DBI

* Tue Jun 27 2006 Scott Karns <scottk@mandriva.org> 0.14-1mdv2007.0
- Version 0.14

* Thu Jun 01 2006 Scott Karns <scottk@mandriva.org> 0.13-1mdv2007.0
- Version 0.13

* Wed May 31 2006 Scott Karns <scottk@mandriva.org> 0.12-1mdv2007.0
- Version 0.12

* Fri Mar 17 2006 Buchan Milne <bgmilne@mandriva.org> 0.11-1mdk
- First Mandriva package, from Scott Ryan

